// Polyray include file: PICFRAME.INC
// by Rob McGregor
//
// A picture frame definition and two canvasses...

static define picture_frame
object {
  // BOX
  object {
    box <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 11.25, 0.25>
    translate <14.0, -0.064, 0.0>
    wooden
  }
+
  // BOX
  object {
    box <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 11.25, 0.25>
    translate <-14.0, -0.064, 0.0>
    wooden
  }
+
  // BOX
  object {
    box <-1, -1, -1>, <1, 1, 1>
    scale <15.0, 1.0, 0.25>
    translate <0.064, 12.2496, 0.0>
    wooden { rotate <0, 0, 90> }
  }
+
  // BOX
  object {
    box <-1, -1, -1>, <1, 1, 1>
    scale <15.0, 1.0, 0.25>
    translate <0.0, -12.3136, 0.0>
    wooden { rotate <0, 0, 90> }
  }
}

static define picture1_tex
texture {
  special surface {
    color planar_imagemap(image("pedvenus.tga"),P)
  }
}

static define picture2_tex
texture {
  special surface {
    color planar_imagemap(image("bathsphr.tga"),P)
  }
}

static define picture1
object {
  object { picture_frame }
+
  // Canvas
  object {
    // normal in Y direction
    polygon 4, <0, 0, 0>, <1, 0, 0>, <1, 0, 1>, <0, 0, 1>
    scale <26, 1, 22.5>
    picture1_tex
    rotate <-90, 0, 0>
    translate <-13, -11.25, 0.25>
  }
}

static define picture2
object {
  object { picture_frame }
+
  // Canvas
  object {
    // normal in Y direction
    polygon 4, <0, 0, 0>, <1, 0, 0>, <1, 0, 1>, <0, 0, 1>
    scale <26, 1, 22.5>
    picture2_tex
    rotate <-90, 0, 0>
    translate <-13, -11.25, 0.25>
  }
}
